Bug 240144 - [LSPP] aide report output limits context to 32char -- not evaluation blocking
[LSPP] aide report output limits context to 32char -- not evaluation blocking
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: aide (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 10:45 EDT by Matt Anderson
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0539
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 10:03:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Anderson 2007-05-15 10:45:25 EDT
Description of problem:
When aide generates a report of changed files if it has found SELinux context
differences the report limits the displayed context to the first 32 characters
of the context.  Often this misses the MLS/MCS portion entirely.

Version-Release number of selected component (if applicable):
aide-0.12-9.el5

How reproducible:
Everytime the context is greater than 32 characters.

Steps to Reproduce:
1. Run aide to generate a database
2. Change the context of a watched file
3. Re-run aide and notice the report output
  
Actual results:


AIDE found differences between database and filesystem!!
Start timestamp: 2007-05-14 19:31:44

Summary:
  Total number of files:        13467
  Added files:                  0
  Removed files:                0
  Changed files:                1


---------------------------------------------------
Changed files:
---------------------------------------------------

changed: /usr/local/eal4_testing/audit-test/trustedprograms/aide-testfile

--------------------------------------------------
Detailed information about changes:
---------------------------------------------------


File: /usr/local/eal4_testing/audit-test/trustedprograms/aide-testfile
  Ctime    : 2007-05-14 19:31:39              , 2007-05-14 19:31:44
  SELinux  : staff_u:object_r:lspp_test_outpu , staff_u:object_r:lspp_test_outpu


Expected results:

AIDE found differences between database and filesystem!!
Start timestamp: 2007-05-14 19:31:44

Summary:
  Total number of files:        13467
  Added files:                  0
  Removed files:                0
  Changed files:                1


---------------------------------------------------
Changed files:
---------------------------------------------------

changed: /usr/local/eal4_testing/audit-test/trustedprograms/aide-testfile

--------------------------------------------------
Detailed information about changes:
---------------------------------------------------


File: /usr/local/eal4_testing/audit-test/trustedprograms/aide-testfile
  Ctime    : 2007-05-14 19:31:39              , 2007-05-14 19:31:44
  SELinux  : staff_u:object_r:lspp_test_output_t:SystemLow ,
staff_u:object_r:lspp_test_output_t:Secret


Additional info:
This is not blocking the evaluation since aide does notice the change.  It
correctly audits the difference on the filesystem.  Apparently due to report
convention (as seen in the Ctime entry) the output is currently limited to 32
characters per side.
Comment 1 RHEL Product and Program Management 2007-05-15 11:03:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Steve Grubb 2007-05-15 17:48:33 EDT
Since this is not blocking eval, I'm resetting severity to medium.
Comment 7 Red Hat Bugzilla 2007-09-04 10:03:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0539.html

Note You need to log in before you can comment on or make changes to this bug.